#include <stdio.h>
int razmena(int *a, int *b)
{
	int pom;
	pom = *a;
	*a = *b;
	*b = pom;
}
int sredjivanje(int n, int *a)
{
	int i,j,max,brj;
	if(n == 2)
	{
		razmena(&a[0],&a[1]);
		return 1;
	}
	for(i = 0; i < n; i++)
	{
		for(j = 1; j < n; j++)
		{
			if(a[j] > a[i])
			{
				max = j;
				brj = j;
				do
				{
					if(a[brj] > a[max]) max = brj;
					brj++;
				}
				while(brj != n);
				razmena(&a[i],&a[max]);
				return 1;
			}
		}
	}
}
int ispis(int n, int *a)
{
	int i;
	for(i = 0; i < n; i++)
	{
		printf("%d ",a[i]);
	}
}
main()
{
	int i,n,k,r = 0;
	scanf("%d",&n);
	int a[n];
	for(i = 0; i < n; i++)
	{
		scanf("%d",&a[i]);
	}
	sredjivanje(n,a);
	ispis(n,a);
}